#-------------------------------------------------------------------------------
# Write a standardized message to stdout
#
#-------------------------------------------------------------------------------
sub logit
#-------------------------------------------------------------------------------
{
  my ($m, $h, $w_tofile) = @_;

  $nowdate = &getdate();

  my $z = $mode . $dbamon_tasknum;

  ##print "wt=$wheretolog\n"; 
  ##print "w_tofile=$w_tofile\n"; 

  if ($wheretolog eq "S" && $w_tofile != 1)
  {
    if ($h eq "")
    {
      printf("%s DBAmon %-6s %3s [$$] | %s\n",$nowdate,$z,$iter_count,$m) ;
    }
    else
    {
      printf("%s DBAmon %-6s %3s [$$] | $title[$h] | %s: %s\n",$nowdate,$z,$iter_count,$this_function,$m) ;
    }
  }
  else
  {
    open(LOGFILE,">>$logfile") ||  &error_msg("Can't open append logfile=$logfile - $!");
    if ($h eq "")
    {
      printf LOGFILE "%s DBAmon %-6s %3s [$$] | %s\n",$nowdate,$z,$iter_count,$m;
    }
    else
    {
      printf LOGFILE "%s DBAmon %-6s %3s [$$] | $title[$h] | %s: %s\n",$nowdate,$z,$iter_count,$this_function,$m;
    }
    close(LOGFILE);
  }

  #---- Log to LOG_INSTANCES file (individual log for each instance)
  if ($h ne "")
  {
    my $lo_file = "$log_instance[$h]_$dow.txt"; 
    open(LOGINS,">>$lo_file") ||  &error_msg("Cannot open append lo_file=$lo_file - $!");
    printf LOGINS "%s DBAmon %-6s %3s [$$] | $titleraw[$h] | %s: %s\n",$nowdate,$z,$iter_count,$this_function,$m;
    close(LOGINS); 
  }
}

#-------------------------------------------------------------------------------
1;
